Create Wishlist
Creates a wishlist and wishlist item. More than one item can be added in the POST.
Required Fields
- name
- customer_id
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
customer_id
The customer id.
is_public
Whether the wishlist is available to the public.
name
The title of the wishlist.
items
Array of wishlist items.
Response
Created
data
meta
Response metadata.
Errors
401
Unauthorized Error
500
Internal Server Error